TIPD(4)

NAME
tipd - TI USB Type-C power delivery controller

SYNOPSIS
tipd* at iic?

DESCRIPTION
The tipd driver provides support for the TI TPS6598x and CD321x Type-C power delivery controllers. It takes care of plug and unplug events on the USB Type-C port. Additionally it enables power on the USB Type-C port when a sink is connected to power attached devices.

SEE ALSO
iic(4)

HISTORY
The tipd driver first appeared in OpenBSD 7.3.

AUTHORS
-nosplit The tipd driver was written by Mark Kettenis <kettenis@openbsd.org>.